@make(ais)
@aiInfo(topic=<Dynamic computation of 'MANTISSA for fixed point subtypes>,
number=[AI-00145/04],
classcode=[ra],
statuscode=[WJ],
mainref=[03.05.09@\(14)],
date=[86-07-23])
@aiHeading()
@begin(history)
@begin(toplines)
@mainref()
!class ramification 84-01-10
!status approved by WG9/AJPO 86-07-22
@end(toplines)
!status approved by Director, AJPO 86-07-22
!status approved by WG9/Ada Board 86-07-22
!status approved by Ada Board 86-07-22
!status approved by WG9/ADA Board 85-02-26
!status board-approved 84-06-29
!status committee-approved 84-02-06
!status received 84-01-10
!references 83-00233
@topic{!topic @value(aitopic)}
@end(history)

@subheading[!summary 84-03-16]

If F is a non-static fixed point subtype, F'@|MANTISSA must, in general, be
computed at run-time.

@subheading[!question 84-07-13]

The model numbers of a fixed point type depend on the delta and range in a
fixed point constraint [3.5.9(6)].  Consider the following declaration:
@begin(example)
@key[type] F @key[is] @key[delta] 1.0 @key[range] -127.0 .. 127.0;
@key[subtype] S @key[is] F @key[delta] 1.0 @key[range] L..R;
@end(example)
The model numbers of S are determined by the values of L and R, and therefore,
S'@|MANTISSA must, in general, be computed at run time, since L and R need not be
static.  Is this the intent?

@subheading[!response 84-01-10]

The analysis is correct.  S'@|MANTISSA must, in general, be computed at run-time.
